Bug 1615809 - [RFE] Replace Docker by Podman for containers management
Summary: [RFE] Replace Docker by Podman for containers management
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-paunch
Version: 15.0 (Stein)
Hardware: All
OS: Linux
high
high
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Emilien Macchi
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-14 09:55 UTC by Emilien Macchi
Modified: 2019-09-26 10:45 UTC (History)
3 users (show)

Fixed In Version: python-paunch-4.4.1-0.20190531190405.dd2da3f.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:16:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:18:35 UTC

Description Emilien Macchi 2018-08-14 09:55:03 UTC
Description of problem:
Future versions of Red Hat Enterprise Linux and OpenShift will ship exclusively with the open standards based CRI-O, Skopeo, Buildah and Podman.  This will allow Red Hat to better serve customers with nimbler tooling that also has the great benefit of delivering more secure solutions.

So far, Director has been using Docker to manage containers but the package won't be maintained anymore in the future, so we need to switch Director to use Podman.


Condition of satisfaction: Docker isn't needed anywhere in TripleO and was replaced by Podman for the container lifecycle management on both the undercloud and overcloud.

Comment 11 errata-xmlrpc 2019-09-21 11:16:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.